<?php

    lt_include(PLOG_CLASS_PATH."class/action/admin/adminaction.class.php");
    lt_include(PLOG_CLASS_PATH."plugins/subscribe/class/view/pluginsubscribeshowconfigview.class.php");

    class PluginSubscribeShowConfigAction extends AdminAction{
        function PluginSubscribeShowConfigAction($actionInfo, $request){
            $this->AdminAction($actionInfo, $request);
        }
        
        function perform(){
			$blogSettings = $this->_blogInfo->getSettings();
			$key = $blogSettings->getValue( "plugin_subscribe_key" );

                // If the user never set the configuration key, set it now
            if($key == ""){
                $key = Subscriptions::generateNewKey($this->_blogInfo);
            }


            $this->_view = new PluginSubscribeShowConfigView($this->_blogInfo);
            $this->setCommonData();
            return true;
        }
    }
?>